Support for the v120_xp platform toolset

May 20, 2014 at 12:44 PM
I am trying to use the cpprest sdk in a new project. We are using Visual Studio 2013 and still need to support Windows 2003 and XP sp 3. For this project I've been using the v120_xp toolset, but I see that that toolset is not contained in the cpprest sdk 2.01 nuget package.

Is support for this toolset going to be added in future releases? If not, is there any specific reason that we have a v110_xp build, but not a v120_xp build?

Thanks,

Mark Tempel
Coordinator
May 20, 2014 at 4:07 PM
Hi Mark,

Thanks for you feedback. When we created this cpprest xp project, the Visual Studio 2013 was not published and v120_xp toolset was not available.

We forgot to change back after vs2013 released. We will support this v120_xp in our next release.

Thanks
May 23, 2014 at 1:35 AM
zhelu, is there a time frame when the next release (with v120_xp support) will be available? Thanks.
Coordinator
May 23, 2014 at 3:06 AM
Hi,

We plan to release in next week.
Thanks for your feedback!